Refunds API

Endpoints para retirements

Ver un reintegro

GET /internal/admin/refunds/:refund_id

Retorna el detalle de un reintegro.

Request

Headers

Content-Type: application/json
Authorization: Bearer <token>
Host: example.org
Cookie: 

Route

GET /internal/admin/refunds/1

Response

Headers

X-Frame-Options: SAMEORIGIN
X-XSS-Protection: 1; mode=block
X-Content-Type-Options: nosniff
X-Download-Options: noopen
X-Permitted-Cross-Domain-Policies: none
Referrer-Policy: strict-origin-when-cross-origin
Content-Type: application/json; charset=utf-8
ETag: W/"f6d26dbfb6b4d14103adc3bb2b07b360"
Cache-Control: max-age=0, private, must-revalidate
X-Request-Id: 6a588813-f68b-4346-88b8-e55dbd148e35
X-Runtime: 0.028130
Vary: Origin
Content-Length: 452

Status

200 OK

Body

{
  "data": {
    "id": 1,
    "amount": "10.0",
    "notes": "test",
    "payment_data": "test",
    "status": "pending",
    "admin": {
      "username": "Magnificent Changeling Strike@kriptonmarket.com",
      "profile": {
        "id": 45,
        "first_name": "test",
        "last_name": "test",
        "cellphone": null,
        "admin_id": 9999,
        "created_at": "2023-03-30T00:51:20.885Z",
        "updated_at": "2023-03-30T00:51:20.885Z",
        "role": "root"
      }
    },
    "returned_at": null,
    "resource_type": "Kriptostore",
    "resource_id": 11,
    "url_voucher_image": null,
    "tx_hash": null
  }
}